Sync account data from SSO
curl --request POST \
--url https://app.leadconduit.com/account_sso_sync \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leadconduit.com/account_sso_sync"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leadconduit.com/account_sso_sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"account": {
"id": "5fd4371e940df5a34a3888b2",
"sso_id": "5fd4371e940df5a34a3888b2",
"api_key": "<string>",
"name": "Acme, Inc.",
"time_zone": "America/New_York",
"type": "<string>",
"data_retention_in_days": 123,
"data_truncated_at": "2023-11-07T05:31:56Z",
"keen_project_id": "<string>",
"keen_read_api_key": "<string>",
"keen_write_api_key": "<string>",
"pricing_components": [
{}
],
"financial_state_updated_at": "2023-11-07T05:31:56Z",
"lead_ping_enabled": true,
"product_id": "lcx",
"state": "<string>",
"connected_buyers": [
{
"id": "5fd4371e940df5a34a3888b2",
"name": "<string>",
"sso_id": "5fd4371e940df5a34a3888b2"
}
],
"connected_sellers": [
{
"id": "5fd4371e940df5a34a3888b2",
"name": "<string>",
"sso_id": "5fd4371e940df5a34a3888b2"
}
],
"pending_sellers": [
{
"id": "5fd4371e940df5a34a3888b2",
"name": "<string>",
"expired": true,
"invitation_expires_at": "2023-11-07T05:31:56Z"
}
],
"pending_buyers": [
{
"id": "5fd4371e940df5a34a3888b2",
"name": "<string>",
"expired": true,
"invitation_expires_at": "2023-11-07T05:31:56Z"
}
],
"subscriptions": {
"base": {
"id": "5fd4371e940df5a34a3888b2",
"product_offering_id": "5fd4371e940df5a34a3888b2",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"active_at": "2023-11-07T05:31:56Z",
"inactive_at": "2023-11-07T05:31:56Z"
},
"pro": {
"id": "5fd4371e940df5a34a3888b2",
"product_offering_id": "5fd4371e940df5a34a3888b2",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"active_at": "2023-11-07T05:31:56Z",
"inactive_at": "2023-11-07T05:31:56Z"
},
"partner": {
"id": "5fd4371e940df5a34a3888b2",
"product_offering_id": "5fd4371e940df5a34a3888b2",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"active_at": "2023-11-07T05:31:56Z",
"inactive_at": "2023-11-07T05:31:56Z"
}
},
"features": {
"seller_access": true,
"buyer_access": true,
"lead_transactions": true,
"conversion_feedback": true,
"firehose": true,
"third_party_add_on_services": true,
"real_time_bidding": true,
"leadconduit_trustedform_decisions": true
}
}
}{
"error": "bad request",
"message": "sso_account_id is required"
}{
"error": "user API key required",
"message": "This endpoint requires authentication with a user API key, not an account API key"
}{
"status": 400,
"type": "Bad Request",
"title": "LCError",
"detail": "Invalid request parameters",
"errors": [
{
"pointer": "#/entity_id",
"message": "Invalid entity ID format"
}
]
}Account
Sync account data from SSO
Syncs account data from SSO using the provided sso_account_id.
POST
/
account_sso_sync
Sync account data from SSO
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
⌘I